Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 792219

Summary: net-misc/electrum-ltc: requires old dev-python/aiorpcX
Product: Gentoo Linux Reporter: Michał Górny <mgorny>
Component: Current packagesAssignee: Zac Medico <zmedico>
Status: RESOLVED FIXED    
Severity: normal CC: sbraz
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://github.com/spesmilo/electrum/issues/7446
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on: 869506    
Bug Blocks: 722500    

Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2021-05-26 08:30:53 UTC
NonsolvableDepsInStable: version 3.3.4.1-r2: nonsolvable depset(rdepend) keyword(~amd64) stable profile (default/linux/amd64/17.1) (26 total): solutions: [ dev-python/aiorpcX[-python_single_target_python3_7(-),python_targets_python3_7(-)] ]


net-misc/electrum had unnecessary < dep, so maybe it's the same with electrum-ltc.
Comment 1 Jeff Gazso 2022-09-10 15:11:22 UTC
It does look like aiorpcX 0.22 support was added up stream: https://github.com/spesmilo/electrum/pull/7661
Comment 2 Larry the Git Cow gentoo-dev 2022-10-12 23:55:59 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c2101479695abb32c889bd73f678da0b9cb58e65

commit c2101479695abb32c889bd73f678da0b9cb58e65
Author:     Zac Medico <zmedico@gentoo.org>
AuthorDate: 2022-10-12 23:50:22 +0000
Commit:     Zac Medico <zmedico@gentoo.org>
CommitDate: 2022-10-12 23:55:29 +0000

    net-misc/electrum-ltc: drop 4.0.9.1
    
    Closes: https://bugs.gentoo.org/869506
    Closes: https://bugs.gentoo.org/695090
    Closes: https://bugs.gentoo.org/792219
    Closes: https://bugs.gentoo.org/809272
    Signed-off-by: Zac Medico <zmedico@gentoo.org>

 net-misc/electrum-ltc/Manifest                    |   1 -
 net-misc/electrum-ltc/electrum-ltc-4.0.9.1.ebuild | 143 ----------------------
 profiles/package.mask                             |   6 -
 3 files changed, 150 deletions(-)